- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

# iptc.hpp File Reference

Encoding and decoding of Iptc data. More...

`#include "metadatum.hpp"`
`#include "types.hpp"`
`#include "error.hpp"`
`#include "value.hpp"`
`#include "datasets.hpp"`
`#include <string>`
`#include <vector>`

Include dependency graph for iptc.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | Exiv2
## Classes
class | Exiv2::Iptcdatum
| Information related to one Iptc dataset. An Iptc metadatum consists of an IptcKey and a Value and provides methods to manipulate these. More...
class | Exiv2::FindMetadatumById
| Unary predicate that matches an Iptcdatum with given record and dataset. More...
class | Exiv2::IptcData
| A container for Iptc data. This is a top-level class of the Exiv2 library. More...
## Typedefs
typedef std::vector< Iptcdatum > | Exiv2::IptcMetadata
| Container type to hold all metadata.
## Functions
std::ostream & | Exiv2::operator<< (std::ostream &os, const Iptcdatum &md)
| Output operator for Iptcdatum types, printing the interpreted tag value.

## Detailed Description

Encoding and decoding of Iptc data.

Version:
  Rev
    801

Author:
  Brad Schick (brad) brad@robotbattle.com

Date:
  31-Jul-04, brad: created